Product comparison · 2 network switches

Allied Telesis AT-FS750/28-10 network switch Managed Fast Ethernet (10/100) 1U Grey vs Allied Telesis AT-FS750/52-10 network switch Managed Fast Ethernet (10/100) 1U Grey

Add a product
  • 61specifications compared
  • 9differ
  • 52identical
  • 0known for one product only

Key differences

  • Basic switching RJ-45 Ethernet ports quantity
    • AT-FS750/28-10 network switch Managed Fast Ethernet (10/100) 1U Grey:28
    • AT-FS750/52-10 network switch Managed Fast Ethernet (10/100) 1U Grey:52
  • Fast Ethernet (copper) ports quantity
    • AT-FS750/28-10 network switch Managed Fast Ethernet (10/100) 1U Grey:24
    • AT-FS750/52-10 network switch Managed Fast Ethernet (10/100) 1U Grey:48
  • MAC address table
    • AT-FS750/28-10 network switch Managed Fast Ethernet (10/100) 1U Grey:8000 entries
    • AT-FS750/52-10 network switch Managed Fast Ethernet (10/100) 1U Grey:16000 entries
  • Switching capacity
    • AT-FS750/28-10 network switch Managed Fast Ethernet (10/100) 1U Grey:12.8 Gbit/s
    • AT-FS750/52-10 network switch Managed Fast Ethernet (10/100) 1U Grey:17.6 Gbit/s
  • Forwarding rate
    • AT-FS750/28-10 network switch Managed Fast Ethernet (10/100) 1U Grey:9.5 Mpps
    • AT-FS750/52-10 network switch Managed Fast Ethernet (10/100) 1U Grey:13.1 Mpps
  • Power consumption (max)
    • AT-FS750/28-10 network switch Managed Fast Ethernet (10/100) 1U Grey:8.7 W
    • AT-FS750/52-10 network switch Managed Fast Ethernet (10/100) 1U Grey:13.25 W
  • Width
    • AT-FS750/28-10 network switch Managed Fast Ethernet (10/100) 1U Grey:330 mm
    • AT-FS750/52-10 network switch Managed Fast Ethernet (10/100) 1U Grey:440 mm
  • Depth
    • AT-FS750/28-10 network switch Managed Fast Ethernet (10/100) 1U Grey:180 mm
    • AT-FS750/52-10 network switch Managed Fast Ethernet (10/100) 1U Grey:250 mm

Side by side

Differences highlightedShow differences only (off)
Comparison of AT-FS750/28-10, AT-FS750/52-10
61 specifications
Management featuresidentical
Switch typeManagedManaged
Quality of Service (QoS) supportYesYes
Web-based managementYesYes
System event logYesYes
MIB supportRFC 1213 MIB-II, RFC 1643 Ethernet MIB, RFC 1493 Bridge MIB, RFC 2131 DHCP client, Private Enterprise MIBRFC 1213 MIB-II, RFC 1643 Ethernet MIB, RFC 1493 Bridge MIB, RFC 2131 DHCP client, Private Enterprise MIB
Ports & interfaces2 differ
Basic switching RJ-45 Ethernet ports quantityDiffers2852
Basic switching RJ-45 Ethernet ports typeFast Ethernet (10/100)Fast Ethernet (10/100)
Fast Ethernet (copper) ports quantityDiffers2448
Gigabit Ethernet (copper) ports quantity22
Installed SFP modules quantity00
Installed SFP+ modules quantity00
Combo SFP ports quantity22
Networkidentical
Networking standardsIEEE 802.1D, IEEE 802.1Q, IEEE 802.1p, IEEE 802.1s, IEEE 802.1w, IEEE 802.1x, IEEE 802.3ad, IEEE 802.3az, IEEE 802.3u, IEEE 802.3x, IEEE 802.3zIEEE 802.1D, IEEE 802.1Q, IEEE 802.1p, IEEE 802.1s, IEEE 802.1w, IEEE 802.1x, IEEE 802.3ad, IEEE 802.3az, IEEE 802.3u, IEEE 802.3x, IEEE 802.3z
10G supportNoNo
Port mirroringYesYes
Broadcast storm controlYesYes
Flow control supportYesYes
Head-of-line (HOL) blockingYesYes
Link aggregationYesYes
Rate limitingYesYes
Spanning tree protocolYesYes
Virtual LAN featuresTagged VLAN, Port-based VLANTagged VLAN, Port-based VLAN
Number of VLANs40004000
Data transmission3 differ
MAC address tableDiffers8000 entries16000 entries
Switching capacityDiffers12.8 Gbit/s17.6 Gbit/s
Forwarding rateDiffers9.5 Mpps13.1 Mpps
Jumbo frames supportYesYes
Jumbo frames1000010000
Packet buffer memory4.1 MB4.1 MB
Securityidentical
DHCP featuresDHCP server, DHCP clientDHCP server, DHCP client
Access Control List (ACL)YesYes
Access Control List (ACL) rules200200
IGMP snoopingYesYes
MAC address filteringYesYes
Password protectionYesYes
Security algorithms802.1x RADIUS, SNMPv3802.1x RADIUS, SNMPv3
Multicast featuresidentical
Multicast supportYesYes
Number of multicast groups filtered256256
Designidentical
Rack mountingYesYes
Form factor1U1U
Product colourGreyGrey
LED indicatorsYesYes
Performanceidentical
Internal memory128 MB128 MB
Flash memory16 MB16 MB
Power1 differ
AC input voltage100 - 240 V100 - 240 V
AC input frequency50 - 60 Hz50 - 60 Hz
Power consumption (max)Differs8.7 W13.25 W
Power over Ethernet (PoE)identical
Power over Ethernet (PoE)NoNo
Operational conditionsidentical
Operating temperature (T-T)0 - 40 °C0 - 40 °C
Storage temperature (T-T)-25 - 70 °C-25 - 70 °C
Operating relative humidity (H-H)5 - 90%5 - 90%
Storage relative humidity (H-H)5 - 95%5 - 95%
Weight & dimensions3 differ
WidthDiffers330 mm440 mm
DepthDiffers180 mm250 mm
Height44 mm44 mm
WeightDiffers2.2 kg3 kg
Packaging contentidentical
ManualYesYes
Packaging dataidentical
Included power plug typesUSUS
Mounting brackets includedYesYes
Rubber feetYesYes
Certificatesidentical
CertificationUL60950-1 2nd edition (UL) FCC/EN55022/CISPR 22 Class A VCCI Class A C-Tick EN60950 (TUV) EN55024 CE Mark CSA / cULUL60950-1 2nd edition (UL) FCC/EN55022/CISPR 22 Class A VCCI Class A C-Tick EN60950 (TUV) EN55024 CE Mark CSA / cUL

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More network switch comparisons

All network switch comparisons